> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telemetree.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enterprise Handle

> **Enterprise API**

**Description:** Retrieves the cumulative application info based on the specified handle.

**Parameters:**
- `handle`: The handle of the application (**ensure it does not include @**)

**Header**
- `x-api-key`: Your API Key (Dashboard->Settings)

**Returns:**
- `ApplicationInfoResponse`: The response containing the application info. It contains the following fields:
    - `data`: The application info with the following fields:
        - `premium_users`: The number of premium users.
        - `non_premium_users`: The number of non-premium users.
        - `zero_to_five_seconds`: The number of users who have 0-5 seconds of session length.
        - `five_to_ten_seconds`: The number of users who have 5-10 seconds of session length.
        - `eleven_to_sixty_seconds`: The number of users who have 11-60 seconds of session length.
        - `one_to_five_minutes`: The number of users who have 1-5 minutes of session length.
        - `five_plus_minutes`: The number of users who have 5+ minutes of session length.
    - `handle`: The handle of the application.
    - `status_code`: The status code of the response.
    - `message`: The message of the response.



## OpenAPI

````yaml https://ebn.telemetree.io/public-api/openapi.json get /enterprise/{handle}
openapi: 3.1.0
info:
  title: Telemetree API
  description: Telemetree Public API endpoints.
  termsOfService: https://docs.telemetree.io/essentials/terms-of-service
  contact:
    name: Chris
    url: https://t.me/telemetree_referral
    email: chris@telemetree.io
  version: 1.0.0
servers:
  - url: https://ebn.telemetree.io/public-api
security: []
paths:
  /enterprise/{handle}:
    get:
      tags:
        - Enterprise API
      summary: Enterprise Handle
      description: >-
        **Enterprise API**


        **Description:** Retrieves the cumulative application info based on the
        specified handle.


        **Parameters:**

        - `handle`: The handle of the application (**ensure it does not include
        @**)


        **Header**

        - `x-api-key`: Your API Key (Dashboard->Settings)


        **Returns:**

        - `ApplicationInfoResponse`: The response containing the application
        info. It contains the following fields:
            - `data`: The application info with the following fields:
                - `premium_users`: The number of premium users.
                - `non_premium_users`: The number of non-premium users.
                - `zero_to_five_seconds`: The number of users who have 0-5 seconds of session length.
                - `five_to_ten_seconds`: The number of users who have 5-10 seconds of session length.
                - `eleven_to_sixty_seconds`: The number of users who have 11-60 seconds of session length.
                - `one_to_five_minutes`: The number of users who have 1-5 minutes of session length.
                - `five_plus_minutes`: The number of users who have 5+ minutes of session length.
            - `handle`: The handle of the application.
            - `status_code`: The status code of the response.
            - `message`: The message of the response.
      operationId: enterprise_handle_enterprise__handle__get
      parameters:
        - name: handle
          in: path
          required: true
          schema:
            type: string
            description: Handle of the application
            title: Handle
          description: Handle of the application
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - api_key: []
components:
  schemas:
    ApplicationInfoResponse:
      properties:
        handle:
          type: string
          title: Handle
        status_code:
          type: integer
          title: Status Code
          default: 200
        message:
          type: string
          title: Message
          default: Success
        data:
          $ref: '#/components/schemas/ApplicationInfo'
      type: object
      required:
        - handle
        - data
      title: ApplicationInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApplicationInfo:
      properties:
        premium_users:
          type: integer
          title: Premium Users
        non_premium_users:
          type: integer
          title: Non Premium Users
        0-5 seconds:
          type: integer
          title: 0-5 Seconds
        5-10 seconds:
          type: integer
          title: 5-10 Seconds
        11-60 seconds:
          type: integer
          title: 11-60 Seconds
        1-5 minutes:
          type: integer
          title: 1-5 Minutes
        5+ minutes:
          type: integer
          title: 5+ Minutes
      type: object
      required:
        - premium_users
        - non_premium_users
        - 0-5 seconds
        - 5-10 seconds
        - 11-60 seconds
        - 1-5 minutes
        - 5+ minutes
      title: ApplicationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    api_key:
      type: apiKey
      description: Your API Key (Dashboard->Settings)
      in: header
      name: x-api-key

````